Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Prefix/16
Addresses2^112
/64 networks2^48
Network
2eff::/16
First address
2eff::
Last address
2eff:ffff:ffff:ffff:ffff:ffff:ffff:ffff
Addresses
5,192,296,858,534,827,628,530,496,329,220,096 (2^112)
/64 networks (LANs)
281,474,976,710,656 (2^48)
Full form
2eff:0000:0000:0000:0000:0000:0000:0000
Type
Global unicast 2000::/3
Public internet addresses
Reverse DNS zone
f.f.e.2.ip6.arpa
Split into smaller subnets/32

2eff::/16 makes 65,536 subnets of /32; the first 256 are listed.

Subnets
#SubnetLast address
12eff::/322eff:0:ffff:ffff:ffff:ffff:ffff:ffff
22eff:1::/322eff:1:ffff:ffff:ffff:ffff:ffff:ffff
32eff:2::/322eff:2:ffff:ffff:ffff:ffff:ffff:ffff
42eff:3::/322eff:3:ffff:ffff:ffff:ffff:ffff:ffff
52eff:4::/322eff:4:ffff:ffff:ffff:ffff:ffff:ffff
62eff:5::/322eff:5:ffff:ffff:ffff:ffff:ffff:ffff
72eff:6::/322eff:6:ffff:ffff:ffff:ffff:ffff:ffff
82eff:7::/322eff:7:ffff:ffff:ffff:ffff:ffff:ffff
92eff:8::/322eff:8:ffff:ffff:ffff:ffff:ffff:ffff
102eff:9::/322eff:9:ffff:ffff:ffff:ffff:ffff:ffff
112eff:a::/322eff:a:ffff:ffff:ffff:ffff:ffff:ffff
122eff:b::/322eff:b:ffff:ffff:ffff:ffff:ffff:ffff
132eff:c::/322eff:c:ffff:ffff:ffff:ffff:ffff:ffff
142eff:d::/322eff:d:ffff:ffff:ffff:ffff:ffff:ffff
152eff:e::/322eff:e:ffff:ffff:ffff:ffff:ffff:ffff
162eff:f::/322eff:f:ffff:ffff:ffff:ffff:ffff:ffff
172eff:10::/322eff:10:ffff:ffff:ffff:ffff:ffff:ffff
182eff:11::/322eff:11:ffff:ffff:ffff:ffff:ffff:ffff
192eff:12::/322eff:12:ffff:ffff:ffff:ffff:ffff:ffff
202eff:13::/322eff:13:ffff:ffff:ffff:ffff:ffff:ffff
212eff:14::/322eff:14:ffff:ffff:ffff:ffff:ffff:ffff
222eff:15::/322eff:15:ffff:ffff:ffff:ffff:ffff:ffff
232eff:16::/322eff:16:ffff:ffff:ffff:ffff:ffff:ffff
242eff:17::/322eff:17:ffff:ffff:ffff:ffff:ffff:ffff
252eff:18::/322eff:18:ffff:ffff:ffff:ffff:ffff:ffff
262eff:19::/322eff:19:ffff:ffff:ffff:ffff:ffff:ffff
272eff:1a::/322eff:1a:ffff:ffff:ffff:ffff:ffff:ffff
282eff:1b::/322eff:1b:ffff:ffff:ffff:ffff:ffff:ffff
292eff:1c::/322eff:1c:ffff:ffff:ffff:ffff:ffff:ffff
302eff:1d::/322eff:1d:ffff:ffff:ffff:ffff:ffff:ffff
312eff:1e::/322eff:1e:ffff:ffff:ffff:ffff:ffff:ffff
322eff:1f::/322eff:1f:ffff:ffff:ffff:ffff:ffff:ffff
332eff:20::/322eff:20:ffff:ffff:ffff:ffff:ffff:ffff
342eff:21::/322eff:21:ffff:ffff:ffff:ffff:ffff:ffff
352eff:22::/322eff:22:ffff:ffff:ffff:ffff:ffff:ffff
362eff:23::/322eff:23:ffff:ffff:ffff:ffff:ffff:ffff
372eff:24::/322eff:24:ffff:ffff:ffff:ffff:ffff:ffff
382eff:25::/322eff:25:ffff:ffff:ffff:ffff:ffff:ffff
392eff:26::/322eff:26:ffff:ffff:ffff:ffff:ffff:ffff
402eff:27::/322eff:27:ffff:ffff:ffff:ffff:ffff:ffff
412eff:28::/322eff:28:ffff:ffff:ffff:ffff:ffff:ffff
422eff:29::/322eff:29:ffff:ffff:ffff:ffff:ffff:ffff
432eff:2a::/322eff:2a:ffff:ffff:ffff:ffff:ffff:ffff
442eff:2b::/322eff:2b:ffff:ffff:ffff:ffff:ffff:ffff
452eff:2c::/322eff:2c:ffff:ffff:ffff:ffff:ffff:ffff
462eff:2d::/322eff:2d:ffff:ffff:ffff:ffff:ffff:ffff
472eff:2e::/322eff:2e:ffff:ffff:ffff:ffff:ffff:ffff
482eff:2f::/322eff:2f:ffff:ffff:ffff:ffff:ffff:ffff
492eff:30::/322eff:30:ffff:ffff:ffff:ffff:ffff:ffff
502eff:31::/322eff:31:ffff:ffff:ffff:ffff:ffff:ffff
512eff:32::/322eff:32:ffff:ffff:ffff:ffff:ffff:ffff
522eff:33::/322eff:33:ffff:ffff:ffff:ffff:ffff:ffff
532eff:34::/322eff:34:ffff:ffff:ffff:ffff:ffff:ffff
542eff:35::/322eff:35:ffff:ffff:ffff:ffff:ffff:ffff
552eff:36::/322eff:36:ffff:ffff:ffff:ffff:ffff:ffff
562eff:37::/322eff:37:ffff:ffff:ffff:ffff:ffff:ffff
572eff:38::/322eff:38:ffff:ffff:ffff:ffff:ffff:ffff
582eff:39::/322eff:39:ffff:ffff:ffff:ffff:ffff:ffff
592eff:3a::/322eff:3a:ffff:ffff:ffff:ffff:ffff:ffff
602eff:3b::/322eff:3b:ffff:ffff:ffff:ffff:ffff:ffff
612eff:3c::/322eff:3c:ffff:ffff:ffff:ffff:ffff:ffff
622eff:3d::/322eff:3d:ffff:ffff:ffff:ffff:ffff:ffff
632eff:3e::/322eff:3e:ffff:ffff:ffff:ffff:ffff:ffff
642eff:3f::/322eff:3f:ffff:ffff:ffff:ffff:ffff:ffff
652eff:40::/322eff:40:ffff:ffff:ffff:ffff:ffff:ffff
662eff:41::/322eff:41:ffff:ffff:ffff:ffff:ffff:ffff
672eff:42::/322eff:42:ffff:ffff:ffff:ffff:ffff:ffff
682eff:43::/322eff:43:ffff:ffff:ffff:ffff:ffff:ffff
692eff:44::/322eff:44:ffff:ffff:ffff:ffff:ffff:ffff
702eff:45::/322eff:45:ffff:ffff:ffff:ffff:ffff:ffff
712eff:46::/322eff:46:ffff:ffff:ffff:ffff:ffff:ffff
722eff:47::/322eff:47:ffff:ffff:ffff:ffff:ffff:ffff
732eff:48::/322eff:48:ffff:ffff:ffff:ffff:ffff:ffff
742eff:49::/322eff:49:ffff:ffff:ffff:ffff:ffff:ffff
752eff:4a::/322eff:4a:ffff:ffff:ffff:ffff:ffff:ffff
762eff:4b::/322eff:4b:ffff:ffff:ffff:ffff:ffff:ffff
772eff:4c::/322eff:4c:ffff:ffff:ffff:ffff:ffff:ffff
782eff:4d::/322eff:4d:ffff:ffff:ffff:ffff:ffff:ffff
792eff:4e::/322eff:4e:ffff:ffff:ffff:ffff:ffff:ffff
802eff:4f::/322eff:4f:ffff:ffff:ffff:ffff:ffff:ffff
812eff:50::/322eff:50:ffff:ffff:ffff:ffff:ffff:ffff
822eff:51::/322eff:51:ffff:ffff:ffff:ffff:ffff:ffff
832eff:52::/322eff:52:ffff:ffff:ffff:ffff:ffff:ffff
842eff:53::/322eff:53:ffff:ffff:ffff:ffff:ffff:ffff
852eff:54::/322eff:54:ffff:ffff:ffff:ffff:ffff:ffff
862eff:55::/322eff:55:ffff:ffff:ffff:ffff:ffff:ffff
872eff:56::/322eff:56:ffff:ffff:ffff:ffff:ffff:ffff
882eff:57::/322eff:57:ffff:ffff:ffff:ffff:ffff:ffff
892eff:58::/322eff:58:ffff:ffff:ffff:ffff:ffff:ffff
902eff:59::/322eff:59:ffff:ffff:ffff:ffff:ffff:ffff
912eff:5a::/322eff:5a:ffff:ffff:ffff:ffff:ffff:ffff
922eff:5b::/322eff:5b:ffff:ffff:ffff:ffff:ffff:ffff
932eff:5c::/322eff:5c:ffff:ffff:ffff:ffff:ffff:ffff
942eff:5d::/322eff:5d:ffff:ffff:ffff:ffff:ffff:ffff
952eff:5e::/322eff:5e:ffff:ffff:ffff:ffff:ffff:ffff
962eff:5f::/322eff:5f:ffff:ffff:ffff:ffff:ffff:ffff
972eff:60::/322eff:60:ffff:ffff:ffff:ffff:ffff:ffff
982eff:61::/322eff:61:ffff:ffff:ffff:ffff:ffff:ffff
992eff:62::/322eff:62:ffff:ffff:ffff:ffff:ffff:ffff
1002eff:63::/322eff:63:ffff:ffff:ffff:ffff:ffff:ffff
1012eff:64::/322eff:64:ffff:ffff:ffff:ffff:ffff:ffff
1022eff:65::/322eff:65:ffff:ffff:ffff:ffff:ffff:ffff
1032eff:66::/322eff:66:ffff:ffff:ffff:ffff:ffff:ffff
1042eff:67::/322eff:67:ffff:ffff:ffff:ffff:ffff:ffff
1052eff:68::/322eff:68:ffff:ffff:ffff:ffff:ffff:ffff
1062eff:69::/322eff:69:ffff:ffff:ffff:ffff:ffff:ffff
1072eff:6a::/322eff:6a:ffff:ffff:ffff:ffff:ffff:ffff
1082eff:6b::/322eff:6b:ffff:ffff:ffff:ffff:ffff:ffff
1092eff:6c::/322eff:6c:ffff:ffff:ffff:ffff:ffff:ffff
1102eff:6d::/322eff:6d:ffff:ffff:ffff:ffff:ffff:ffff
1112eff:6e::/322eff:6e:ffff:ffff:ffff:ffff:ffff:ffff
1122eff:6f::/322eff:6f:ffff:ffff:ffff:ffff:ffff:ffff
1132eff:70::/322eff:70:ffff:ffff:ffff:ffff:ffff:ffff
1142eff:71::/322eff:71:ffff:ffff:ffff:ffff:ffff:ffff
1152eff:72::/322eff:72:ffff:ffff:ffff:ffff:ffff:ffff
1162eff:73::/322eff:73:ffff:ffff:ffff:ffff:ffff:ffff
1172eff:74::/322eff:74:ffff:ffff:ffff:ffff:ffff:ffff
1182eff:75::/322eff:75:ffff:ffff:ffff:ffff:ffff:ffff
1192eff:76::/322eff:76:ffff:ffff:ffff:ffff:ffff:ffff
1202eff:77::/322eff:77:ffff:ffff:ffff:ffff:ffff:ffff
1212eff:78::/322eff:78:ffff:ffff:ffff:ffff:ffff:ffff
1222eff:79::/322eff:79:ffff:ffff:ffff:ffff:ffff:ffff
1232eff:7a::/322eff:7a:ffff:ffff:ffff:ffff:ffff:ffff
1242eff:7b::/322eff:7b:ffff:ffff:ffff:ffff:ffff:ffff
1252eff:7c::/322eff:7c:ffff:ffff:ffff:ffff:ffff:ffff
1262eff:7d::/322eff:7d:ffff:ffff:ffff:ffff:ffff:ffff
1272eff:7e::/322eff:7e:ffff:ffff:ffff:ffff:ffff:ffff
1282eff:7f::/322eff:7f:ffff:ffff:ffff:ffff:ffff:ffff
1292eff:80::/322eff:80:ffff:ffff:ffff:ffff:ffff:ffff
1302eff:81::/322eff:81:ffff:ffff:ffff:ffff:ffff:ffff
1312eff:82::/322eff:82:ffff:ffff:ffff:ffff:ffff:ffff
1322eff:83::/322eff:83:ffff:ffff:ffff:ffff:ffff:ffff
1332eff:84::/322eff:84:ffff:ffff:ffff:ffff:ffff:ffff
1342eff:85::/322eff:85:ffff:ffff:ffff:ffff:ffff:ffff
1352eff:86::/322eff:86:ffff:ffff:ffff:ffff:ffff:ffff
1362eff:87::/322eff:87:ffff:ffff:ffff:ffff:ffff:ffff
1372eff:88::/322eff:88:ffff:ffff:ffff:ffff:ffff:ffff
1382eff:89::/322eff:89:ffff:ffff:ffff:ffff:ffff:ffff
1392eff:8a::/322eff:8a:ffff:ffff:ffff:ffff:ffff:ffff
1402eff:8b::/322eff:8b:ffff:ffff:ffff:ffff:ffff:ffff
1412eff:8c::/322eff:8c:ffff:ffff:ffff:ffff:ffff:ffff
1422eff:8d::/322eff:8d:ffff:ffff:ffff:ffff:ffff:ffff
1432eff:8e::/322eff:8e:ffff:ffff:ffff:ffff:ffff:ffff
1442eff:8f::/322eff:8f:ffff:ffff:ffff:ffff:ffff:ffff
1452eff:90::/322eff:90:ffff:ffff:ffff:ffff:ffff:ffff
1462eff:91::/322eff:91:ffff:ffff:ffff:ffff:ffff:ffff
1472eff:92::/322eff:92:ffff:ffff:ffff:ffff:ffff:ffff
1482eff:93::/322eff:93:ffff:ffff:ffff:ffff:ffff:ffff
1492eff:94::/322eff:94:ffff:ffff:ffff:ffff:ffff:ffff
1502eff:95::/322eff:95:ffff:ffff:ffff:ffff:ffff:ffff
1512eff:96::/322eff:96:ffff:ffff:ffff:ffff:ffff:ffff
1522eff:97::/322eff:97:ffff:ffff:ffff:ffff:ffff:ffff
1532eff:98::/322eff:98:ffff:ffff:ffff:ffff:ffff:ffff
1542eff:99::/322eff:99:ffff:ffff:ffff:ffff:ffff:ffff
1552eff:9a::/322eff:9a:ffff:ffff:ffff:ffff:ffff:ffff
1562eff:9b::/322eff:9b:ffff:ffff:ffff:ffff:ffff:ffff
1572eff:9c::/322eff:9c:ffff:ffff:ffff:ffff:ffff:ffff
1582eff:9d::/322eff:9d:ffff:ffff:ffff:ffff:ffff:ffff
1592eff:9e::/322eff:9e:ffff:ffff:ffff:ffff:ffff:ffff
1602eff:9f::/322eff:9f:ffff:ffff:ffff:ffff:ffff:ffff
1612eff:a0::/322eff:a0:ffff:ffff:ffff:ffff:ffff:ffff
1622eff:a1::/322eff:a1:ffff:ffff:ffff:ffff:ffff:ffff
1632eff:a2::/322eff:a2:ffff:ffff:ffff:ffff:ffff:ffff
1642eff:a3::/322eff:a3:ffff:ffff:ffff:ffff:ffff:ffff
1652eff:a4::/322eff:a4:ffff:ffff:ffff:ffff:ffff:ffff
1662eff:a5::/322eff:a5:ffff:ffff:ffff:ffff:ffff:ffff
1672eff:a6::/322eff:a6:ffff:ffff:ffff:ffff:ffff:ffff
1682eff:a7::/322eff:a7:ffff:ffff:ffff:ffff:ffff:ffff
1692eff:a8::/322eff:a8:ffff:ffff:ffff:ffff:ffff:ffff
1702eff:a9::/322eff:a9:ffff:ffff:ffff:ffff:ffff:ffff
1712eff:aa::/322eff:aa:ffff:ffff:ffff:ffff:ffff:ffff
1722eff:ab::/322eff:ab:ffff:ffff:ffff:ffff:ffff:ffff
1732eff:ac::/322eff:ac:ffff:ffff:ffff:ffff:ffff:ffff
1742eff:ad::/322eff:ad:ffff:ffff:ffff:ffff:ffff:ffff
1752eff:ae::/322eff:ae:ffff:ffff:ffff:ffff:ffff:ffff
1762eff:af::/322eff:af:ffff:ffff:ffff:ffff:ffff:ffff
1772eff:b0::/322eff:b0:ffff:ffff:ffff:ffff:ffff:ffff
1782eff:b1::/322eff:b1:ffff:ffff:ffff:ffff:ffff:ffff
1792eff:b2::/322eff:b2:ffff:ffff:ffff:ffff:ffff:ffff
1802eff:b3::/322eff:b3:ffff:ffff:ffff:ffff:ffff:ffff
1812eff:b4::/322eff:b4:ffff:ffff:ffff:ffff:ffff:ffff
1822eff:b5::/322eff:b5:ffff:ffff:ffff:ffff:ffff:ffff
1832eff:b6::/322eff:b6:ffff:ffff:ffff:ffff:ffff:ffff
1842eff:b7::/322eff:b7:ffff:ffff:ffff:ffff:ffff:ffff
1852eff:b8::/322eff:b8:ffff:ffff:ffff:ffff:ffff:ffff
1862eff:b9::/322eff:b9:ffff:ffff:ffff:ffff:ffff:ffff
1872eff:ba::/322eff:ba:ffff:ffff:ffff:ffff:ffff:ffff
1882eff:bb::/322eff:bb:ffff:ffff:ffff:ffff:ffff:ffff
1892eff:bc::/322eff:bc:ffff:ffff:ffff:ffff:ffff:ffff
1902eff:bd::/322eff:bd:ffff:ffff:ffff:ffff:ffff:ffff
1912eff:be::/322eff:be:ffff:ffff:ffff:ffff:ffff:ffff
1922eff:bf::/322eff:bf:ffff:ffff:ffff:ffff:ffff:ffff
1932eff:c0::/322eff:c0:ffff:ffff:ffff:ffff:ffff:ffff
1942eff:c1::/322eff:c1:ffff:ffff:ffff:ffff:ffff:ffff
1952eff:c2::/322eff:c2:ffff:ffff:ffff:ffff:ffff:ffff
1962eff:c3::/322eff:c3:ffff:ffff:ffff:ffff:ffff:ffff
1972eff:c4::/322eff:c4:ffff:ffff:ffff:ffff:ffff:ffff
1982eff:c5::/322eff:c5:ffff:ffff:ffff:ffff:ffff:ffff
1992eff:c6::/322eff:c6:ffff:ffff:ffff:ffff:ffff:ffff
2002eff:c7::/322eff:c7:ffff:ffff:ffff:ffff:ffff:ffff
2012eff:c8::/322eff:c8:ffff:ffff:ffff:ffff:ffff:ffff
2022eff:c9::/322eff:c9:ffff:ffff:ffff:ffff:ffff:ffff
2032eff:ca::/322eff:ca:ffff:ffff:ffff:ffff:ffff:ffff
2042eff:cb::/322eff:cb:ffff:ffff:ffff:ffff:ffff:ffff
2052eff:cc::/322eff:cc:ffff:ffff:ffff:ffff:ffff:ffff
2062eff:cd::/322eff:cd:ffff:ffff:ffff:ffff:ffff:ffff
2072eff:ce::/322eff:ce:ffff:ffff:ffff:ffff:ffff:ffff
2082eff:cf::/322eff:cf:ffff:ffff:ffff:ffff:ffff:ffff
2092eff:d0::/322eff:d0:ffff:ffff:ffff:ffff:ffff:ffff
2102eff:d1::/322eff:d1:ffff:ffff:ffff:ffff:ffff:ffff
2112eff:d2::/322eff:d2:ffff:ffff:ffff:ffff:ffff:ffff
2122eff:d3::/322eff:d3:ffff:ffff:ffff:ffff:ffff:ffff
2132eff:d4::/322eff:d4:ffff:ffff:ffff:ffff:ffff:ffff
2142eff:d5::/322eff:d5:ffff:ffff:ffff:ffff:ffff:ffff
2152eff:d6::/322eff:d6:ffff:ffff:ffff:ffff:ffff:ffff
2162eff:d7::/322eff:d7:ffff:ffff:ffff:ffff:ffff:ffff
2172eff:d8::/322eff:d8:ffff:ffff:ffff:ffff:ffff:ffff
2182eff:d9::/322eff:d9:ffff:ffff:ffff:ffff:ffff:ffff
2192eff:da::/322eff:da:ffff:ffff:ffff:ffff:ffff:ffff
2202eff:db::/322eff:db:ffff:ffff:ffff:ffff:ffff:ffff
2212eff:dc::/322eff:dc:ffff:ffff:ffff:ffff:ffff:ffff
2222eff:dd::/322eff:dd:ffff:ffff:ffff:ffff:ffff:ffff
2232eff:de::/322eff:de:ffff:ffff:ffff:ffff:ffff:ffff
2242eff:df::/322eff:df:ffff:ffff:ffff:ffff:ffff:ffff
2252eff:e0::/322eff:e0:ffff:ffff:ffff:ffff:ffff:ffff
2262eff:e1::/322eff:e1:ffff:ffff:ffff:ffff:ffff:ffff
2272eff:e2::/322eff:e2:ffff:ffff:ffff:ffff:ffff:ffff
2282eff:e3::/322eff:e3:ffff:ffff:ffff:ffff:ffff:ffff
2292eff:e4::/322eff:e4:ffff:ffff:ffff:ffff:ffff:ffff
2302eff:e5::/322eff:e5:ffff:ffff:ffff:ffff:ffff:ffff
2312eff:e6::/322eff:e6:ffff:ffff:ffff:ffff:ffff:ffff
2322eff:e7::/322eff:e7:ffff:ffff:ffff:ffff:ffff:ffff
2332eff:e8::/322eff:e8:ffff:ffff:ffff:ffff:ffff:ffff
2342eff:e9::/322eff:e9:ffff:ffff:ffff:ffff:ffff:ffff
2352eff:ea::/322eff:ea:ffff:ffff:ffff:ffff:ffff:ffff
2362eff:eb::/322eff:eb:ffff:ffff:ffff:ffff:ffff:ffff
2372eff:ec::/322eff:ec:ffff:ffff:ffff:ffff:ffff:ffff
2382eff:ed::/322eff:ed:ffff:ffff:ffff:ffff:ffff:ffff
2392eff:ee::/322eff:ee:ffff:ffff:ffff:ffff:ffff:ffff
2402eff:ef::/322eff:ef:ffff:ffff:ffff:ffff:ffff:ffff
2412eff:f0::/322eff:f0:ffff:ffff:ffff:ffff:ffff:ffff
2422eff:f1::/322eff:f1:ffff:ffff:ffff:ffff:ffff:ffff
2432eff:f2::/322eff:f2:ffff:ffff:ffff:ffff:ffff:ffff
2442eff:f3::/322eff:f3:ffff:ffff:ffff:ffff:ffff:ffff
2452eff:f4::/322eff:f4:ffff:ffff:ffff:ffff:ffff:ffff
2462eff:f5::/322eff:f5:ffff:ffff:ffff:ffff:ffff:ffff
2472eff:f6::/322eff:f6:ffff:ffff:ffff:ffff:ffff:ffff
2482eff:f7::/322eff:f7:ffff:ffff:ffff:ffff:ffff:ffff
2492eff:f8::/322eff:f8:ffff:ffff:ffff:ffff:ffff:ffff
2502eff:f9::/322eff:f9:ffff:ffff:ffff:ffff:ffff:ffff
2512eff:fa::/322eff:fa:ffff:ffff:ffff:ffff:ffff:ffff
2522eff:fb::/322eff:fb:ffff:ffff:ffff:ffff:ffff:ffff
2532eff:fc::/322eff:fc:ffff:ffff:ffff:ffff:ffff:ffff
2542eff:fd::/322eff:fd:ffff:ffff:ffff:ffff:ffff:ffff
2552eff:fe::/322eff:fe:ffff:ffff:ffff:ffff:ffff:ffff
2562eff:ff::/322eff:ff:ffff:ffff:ffff:ffff:ffff:ffff

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses